<template>
  <v-card max-width="400px" class="ma-auto" tile>
    <v-list three-line v-if="events.length !== 0">
      <v-list-item v-for="event in events" :key="event.id" @click="goToDetails(event.id)">
        <v-list-item-content>
          <v-list-item-title>
            {{ event.title }}
            <p class="caption">{{ event.date | moment('LL') }} - {{ event.place }}, {{ event.organizers }}</p>
            <p class="caption">{{ event.place }}, {{ event.organizers }}</p>
          </v-list-item-title>
          <v-list-item-subtitle class="schedulelist-desc" v-html="event.description" />
        </v-list-item-content>
      </v-list-item>
    </v-list>
    <p v-else class="pa-5">Nie znaleziono wydarzeń spełniające podane kryteria</p>
  </v-card>
</template>

<script>
// @group COMPONENTS
export default {
  props: {
    events: Array,
  },
  methods: {
    /**
     * @vuese
     * router push to the details
     * @arg {number} id of an event
     */
    goToDetails(id) {
      this.$router.push(`/harmonogram/${id}`)
    },
  },
}
</script>

<style lang="css" scoped>
.schedulelist-desc {
  line-height: 1.5em;
  height: 3.5em;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%;
}
</style>
